Package org.eclipse.birt.report.engine.api.script.eventhandler

# Interface IDataSourceEventHandler

All Known Subinterfaces:
  `IScriptedDataSourceEventHandler`

All Known Implementing Classes:
  `DataSourceEventAdapter`, `ScriptedDataSourceEventAdapter`

public interface IDataSourceEventHandler
Script event handler interface for a data source

## Method Summary

Modifier and Type
Method
Description
`void`
`afterClose(IReportContext reportContext)`
Handle the afterClose event
`void`
`afterOpen(IDataSourceInstance dataSource, IReportContext reportContext)`
Handle the afterOpen event
`void`
`beforeClose(IDataSourceInstance dataSource, IReportContext reportContext)`
Handle the beforeClose event
`void`
`beforeOpen(IDataSourceInstance dataSource, IReportContext reportContext)`
Handle the beforeOpen event

## Method Details

### beforeOpen

void beforeOpen(IDataSourceInstance dataSource, IReportContext reportContext) throws ScriptException
Handle the beforeOpen event

Throws:
  `ScriptException`

### afterOpen

void afterOpen(IDataSourceInstance dataSource, IReportContext reportContext) throws ScriptException
Handle the afterOpen event

Throws:
  `ScriptException`

### beforeClose

void beforeClose(IDataSourceInstance dataSource, IReportContext reportContext) throws ScriptException
Handle the beforeClose event

Throws:
  `ScriptException`

### afterClose

void afterClose(IReportContext reportContext) throws ScriptException
Handle the afterClose event

Throws:
  `ScriptException`